# telegram.InlineQueryResult

class telegram.InlineQueryResult(type, id, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  Baseclass for the InlineQueryResult* classes.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `id` is equal.

  Note

  All URLs passed in inline query results will be available to end users and therefore must be assumed to be public.

  Parameters

    - type (`str`) – Type of the result.

    - id (`str`) – Unique identifier for this result, 1-64 Bytes.

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  type

    Type of the result.

    Type

      `str`

  id

    Unique identifier for this result, 1-64 Bytes.

    Type

      `str`

  to_dict()

    See `telegram.TelegramObject.to_dict()`.